package com.jeeplus.business.bid.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.business.bid.service.TenderBidService;
import com.jeeplus.business.bid.service.dto.TenderBidDTO;
import com.jeeplus.business.tender.service.DTO.TenderDTO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@Api(tags ="中标")
@RequestMapping(value = "/bid")
public class TenderBidController {

    @Resource
    private TenderBidService tenderBidService;


    /**
     * 中标列表
     */
    @ApiOperation(value = "中标列表查询")
    @GetMapping("/list")
    public ResponseEntity<IPage<TenderBidDTO>> list(Page<TenderBidDTO> page, TenderBidDTO dto) throws Exception{
        IPage<TenderBidDTO> iPage = tenderBidService.list(page, dto);

        return ResponseEntity.ok(iPage);
    }


    /**
     * 查询中标详情
     * @param id
     * @return
     */
    @ApiOperation(value = "查询中标详情")
    @GetMapping("/findById")
    public ResponseEntity<TenderBidDTO> findBidById(@RequestParam String id) throws Exception{
        TenderBidDTO dto = tenderBidService.findBidById(id);
        return ResponseEntity.ok(dto);
    }

    /**
     * 新增/修改
     * @param dto
     * @return
     */
    @ApiOperation(value = "新增、修改")
    @PostMapping("/save")
    public ResponseEntity<String> save(@RequestBody TenderBidDTO dto) throws Exception{
        String s = tenderBidService.save(dto);
        return ResponseEntity.ok(s);
    }

    /**
     * 删除
     * @param id
     * @return
     */
    @ApiOperation(value = "删除")
    @GetMapping("/remove")
    public ResponseEntity<String> remove(@RequestParam String id){
        String s = tenderBidService.remove(id);
        return ResponseEntity.ok(s);
    }

    /**
     * 根据投标id查询中标记录
     */
    @ApiOperation(value = "根据投标id查询中标记录")
    @GetMapping("/bidList")
    public ResponseEntity<IPage<TenderBidDTO>> bidList(Page<TenderBidDTO> page, TenderBidDTO dto) throws Exception{
        IPage<TenderBidDTO> iPage = tenderBidService.bidList(page, dto);

        return ResponseEntity.ok(iPage);
    }


}
