package com.jeeplus.business.bid.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.pubmodules.oss.service.dto.WorkAttachmentDto;
import lombok.Data;

import java.util.List;

/**
 * 中标详情表
 */
@Data
@TableName("jy_tender_bid_detail")
public class JyTenderBidDetail extends BaseEntity {
    /**
     *采购申请编号
     */
    private String purchaseNumber;

    /*
    分标编号
     */
    private String subscaleNumber;

    /**
     *分标名称
     */
    private String subscaleName;

    /**
     * 包号
     */
    private String packageNumber;

    /**
     * 招标项目标段名称
     */
    private String sectionName;

    /**
     * 采购金额(元)
     */
    private String money;

    /**
     * 基础表id
     */
    private String basicId;

    /**
     * 备注
     */
    private String remarks;


    /*
    采购总金额(元)
     */
    private String totalMoney;

    /**
     * 投标人
     */
    private String bidMan;

    /**
     * 中标附件
     */
    @TableField(exist = false)
    private List<WorkAttachmentDto> bidFiles;

    @TableField(exist = false)
    private String createName;

    @TableField(exist = false)
    private String officeName;
}
