package com.jeeplus.business.bid.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 中标基础表
 */
@Data
@TableName("jy_tender_bid_basic")
public class TenderBidBasic extends BaseEntity {

    /**
     * 投标表id
     */
    private String tenderId;

    /**
     * 投标批次
     */
    private String batch;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 报名截止时间
     */
    @TableField(exist = false)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date applicationDeadline;

    /**
     * 截标时间
     */
    @TableField(exist = false)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bidClosingTime;

    /**
     * 创建人姓名
     */
    @TableField(exist = false)
    private String createName;
    /*
    创建人部门
     */
    @TableField(exist = false)
    private String officeName;

}
