package com.jeeplus.business.bid.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.business.bid.domain.TenderBidBasic;
import com.jeeplus.business.bid.service.dto.TenderBidDTO;
import com.jeeplus.business.tender.domain.Tender;
import com.jeeplus.pubmodules.oss.domain.WorkAttachment;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TenderBidBasicMapper extends BaseMapper<TenderBidBasic> {
    TenderBidBasic findById(@Param("id") String id);

    List<WorkAttachment> findFileList(@Param("id") String id);

    Integer findIsExit(@Param("id") String id, @Param("name")String name);

    IPage<TenderBidDTO> findPageList(@Param(Constants.WRAPPER)QueryWrapper<TenderBidDTO> queryWrapper, Page<TenderBidDTO> page);
    //根据投标id查询中标记录
    IPage<TenderBidDTO> bidList(@Param(Constants.WRAPPER)QueryWrapper<TenderBidDTO> queryWrapper, Page<TenderBidDTO> page);
}
