package com.jeeplus.business.bid.service.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.business.bid.domain.JyTenderBidDetail;
import com.jeeplus.business.tender.domain.BidDetail;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.pubmodules.oss.service.dto.WorkAttachmentDto;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class TenderBidDTO extends BaseEntity {



    /**
     * 投标表id
     */
    private String tenderId;

    /**
     * 投标批次
     */
    private String batch;

    /**
     * 备注
     */
    private String remarks;

    /**
     *采购申请编号
     */
    private String purchaseNumber;

    /*
    分标编号
     */
    private String subscaleNumber;

    /**
     *分标名称
     */
    private String subscaleName;

    /**
     * 包号
     */
    private String packageNumber;

    /**
     * 招标项目标段名称
     */
    private String sectionName;

    /**
     * 采购金额(元)
     */
    private String money;

    /**
     * 基础表id
     */
    private String basicId;

    /**
     * 创建时间
     */
    private String[] dates;

    /**
     * 创建人部门
     */
    private String officeId;

    /**
     * 中标附件
     */
    private List<WorkAttachmentDto> files;


    /**
     * 投标明细列表
     */
    private List<BidDetail> tenderList;

    /**
     * 中标明细列表
     */
    private List<JyTenderBidDetail> bidDetails;

    /*
    采购总金额(元)
     */
    private String totalMoney;
    /**
     * 创建人姓名
     */
    private String createName;
    /*
    创建人部门
     */
    private String officeName;

    /**
     * 采购金额查询
     */
    private String[] totalMoneys;

    /**
     * 投标人
     */
    private String bidMan;

    /**
     * 报名截止时间
     */
    @TableField(exist = false)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date applicationDeadline;

    /**
     * 截标时间
     */
    @TableField(exist = false)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bidClosingTime;


}
