package com.jeeplus.business.tender.service.DTO;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.business.tender.domain.BidDetail;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.pubmodules.oss.service.dto.WorkAttachmentDto;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class TenderDTO extends BaseEntity {
    /**
     *批次
     */
    @Excel(name = "批次",width = 16)
    private String batch;


    /**
     *采购申请编号
     */
    @Excel(name = "采购申请编号",width = 16)
    private String purchaseNumber;

    /*
    分标编号
     */
    @Excel(name = "分标编号",width = 16)
    private String subscaleNumber;

    /**
     *分标名称
     */
    @Excel(name = "分标名称",width = 16)
    private String subscaleName;

    /**
     * 包号
     */
    @Excel(name = "包号",width = 16)
    private String packageNumber;

    /**
     * 招标项目标段名称
     */
    @Excel(name = "招标项目标段名称",width = 40)
    private String sectionName;

    /**
     * 采购金额(元)
     */
    @Excel(name = "采购金额(元)",width = 40)
    private String money;

    /**
     * 报名截止时间
     */
    @Excel(name = "报名截止时间",width = 16,exportFormat = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date applicationDeadline;

    /**
     * 截标时间
     */
    @Excel(name = "截标时间",width = 16,exportFormat = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bidClosingTime;

    /**
     * 基础表id
     */
    private String tenderId;

    /**
     * 创建时间
     */
    private String[] dates;

    /**
     * 报明截止时间
     */
    private String[] deadlineDates;

    /**
     * 截标时间
     */
    private String[] closingDates;

    /**
     * 创建人部门
     */
    private String officeId;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 中标备注
     */
    private String bidRemarks;

    /**
     * 招投标附件
     */
    private List<WorkAttachmentDto> files;
    /**
     * 投标附件
     */
    private List<WorkAttachmentDto> bidFiles;
    /**
     * 投标详情附件
     */
    private List<WorkAttachmentDto> detatilFiles;

    /**
     * 投标明细列表
     */
    private List<BidDetail> tenderList;

    /**
     * 中标明细列表
     */
    private List<BidDetail> bidDetails;

    /*
    采购总金额(元)
     */
    private String totalMoney;
    /**
     * 创建人姓名
     */
    private String createName;
    /*
    创建人部门
     */
    private String officeName;

    /**
     * 采购金额查询
     */
    private String[] totalMoneys;

    /**
     * 投标人
     */
    private String bidMan;


}
